Bug 426783 - Importing /usr/share/fonts by default
Importing /usr/share/fonts by default
Product: Fedora
Classification: Fedora
Component: fontmatrix (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-26 04:23 EST by Sankarshan Mukhopadhyay
Modified: 2008-04-09 01:20 EDT (History)
0 users

See Also:
Fixed In Version: 0.4.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-09 01:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sankarshan Mukhopadhyay 2007-12-26 04:23:17 EST
Description of problem:

Currently fontmatrix expects the end user to import the /usr/share/fonts by
hand, it may be optimal to do that by default.

Version-Release number of selected component (if applicable): 


How reproducible:

Steps to Reproduce:
1. Install fontmatrix and open application
2. Manually need to import the /usr/share/fonts
Actual results:

Expected results:

Additional info:

This is an RFE. Other font folders with custom fonts can be manually imported,
the default font folder should be automagically imported
Comment 1 Parag Nemade 2008-01-02 04:34:30 EST
Progress on this bug =>
  I contacted upstream and upstream author is not willing to do this change with
fear that /usr/share/fonts are system fonts and end user should not play/edit
with it.
  Will going to discuss this on fontmatrix users mailing list.
Comment 2 Sankarshan Mukhopadhyay 2008-01-02 04:49:49 EST
(In reply to comment #1)

>   I contacted upstream and upstream author is not willing to do this change with
> fear that /usr/share/fonts are system fonts and end user should not play/edit
> with it.

The other alternative is to default import/load ~/.fonts or whatever is the
standard and accepted font directory. Leaving the interface blank and then
expecting the user to import directories is good for a UseCase where there are
additional "user specific fonts" that are custom for that user. The logic
applied here is somewhat along the lines of having a Documents folder to save
"documents" to and which is predefined.

On the other hand, this is technically not a bug but a technicality and RFE. The
developer and you have the complete freedom to contradict and reject :)
Comment 3 Parag Nemade 2008-04-07 00:38:10 EDT
This RFE is now upstream.
Fixed in fontmatrix-0.4.0 in rawhide.
Comment 4 Parag Nemade 2008-04-07 00:39:00 EDT
will release F8 update by this weekend.
Comment 5 Fedora Update System 2008-04-07 01:30:11 EDT
fontmatrix-0.4.0-2.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-04-09 01:20:22 EDT
fontmatrix-0.4.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.